Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.blueprint.container.support.internal.config
Class CycleOrderingProcessor

    java.lang.Object
      org.eclipse.gemini.blueprint.blueprint.container.support.internal.config.CycleOrderingProcessor

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered

    public class CycleOrderingProcessor

extends Object
implements org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered

Simple processor for sorting out cycles between beans. Inspects the construction relationship between beans to provide hints to the container. Specifically, it forces the creation of any beans referred inside the construction through the 'depends-on' attribute on the inspected bean.

Author:
  Costin Leau

Field Summary
`static String` | `SYNTHETIC_DEPENDS_ON`

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`CycleOrderingProcessor()`

Method Summary
`int` | `getOrder()`
`void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYNTHETIC_DEPENDS_ON

    public static final String SYNTHETIC_DEPENDS_ON

See Also:
  Constant Field Values

Constructor Detail

### CycleOrderingProcessor

    public CycleOrderingProcessor()

Method Detail

### postProcessBeanFactory

    public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
                                throws org.springframework.beans.BeansException

  Specified by:
    `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

### getOrder

    public int getOrder()

  Specified by:
    `getOrder` in interface `org.springframework.core.Ordered`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.